package com.app.brush.guitar.ink.encore;



import java.util.ArrayList;
import java.util.List;

public class OasisLayout {
    private String name;
    private List<ModelHarbinger> keyModels = new ArrayList<>();


    public OasisLayout(String name) {
        this.name = name;
    }

    // Getters and Setters
    public String getName() {
        return name;
    }

    public List<ModelHarbinger> getKeys() {
        return keyModels;
    }

    public void addKey(ModelHarbinger keyModel) {
        this.keyModels.add(keyModel);
    }

    public ModelHarbinger getLastKey() {
        return keyModels.isEmpty() ? null : keyModels.get(keyModels.size() - 1);
    }


}